Subject: Re: scp stalls mysteriously

From: Frederic Leroy <[email-masked]>
Date: Sun, 6 Dec 2009 21:32:29 +0100

Le Sat, 05 Dec 2009 23:32:25 +0100,
Damian Lukowski <[email-masked]> a écrit :
>
> Could you please make another test and unplug the cable or drop ACKs
> for several seconds, so that some RTO retransmissions are performed?
> I'd like to see if retrans_stamp remains constant. In the dmesg
> output of the 11th run, it seems to change while icsk_retransmits
> also increases. This is kind of bad for connection timeout
> calculation in the RTO case ...

.17 is online :)
I disconnected physically the stream 2 times. The first was maybe too
short and recover immediatly. The second disconnect is longer and
took several second to recover.
I hope this help !

-- 
Frédéric Leroy